<?php
global $theme_options;

if (WP_VERSION < 3.0) {
	$theme_options = array (
		array(	
		'name'	=>	__('Подвал (Footer)', THEME_NS),
		'type'	=>	'heading'
		),
		array(	
		'id'	=>	'theme_footer_content',
		'name'	=>	__('Нижний колонтитул содержание', THEME_NS),
		'desc'	=>	sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span') . '<br />'
	   			. sprintf(__('<strong>Короткие Теги (ShortTags):</strong><code>%s</code>', THEME_NS), '[year], [top], [rss], [login-link], [blog-title], [xhtml], [css]'),
		'type'	=>	'textarea'
		)
	);
	return;
}

$theme_menu_source_options = array(
	'Pages'	=>	__('Страницы', THEME_NS),
	'Categories'	=>	__('Категории', THEME_NS)
);

$theme_sidebars_style_options = array(
	'block'	=>	__('Block style', THEME_NS),
	'post'	=>	__('Post style', THEME_NS),
	'simple'	=>	__('Простой текст', THEME_NS)
);

$theme_heading_options = array(
	'h1'	=>	__('<H1>', THEME_NS),
	'h2'	=>	__('<H2>', THEME_NS),
	'h3'	=>	__('<H3>', THEME_NS),
	'h4'	=>	__('<H4>', THEME_NS),
	'h5'	=>	__('<H5>', THEME_NS),
	'h6'	=>	__('<H6>', THEME_NS),
	'div'	=>	__('<DIV>', THEME_NS),
);

global $theme_options;
$theme_options = array (
	array(	
	'name'	=>	__('Настройка: Шапка сайта', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_header_show_headline',
	'name'	=>	__('Показать заголовок', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_header_show_slogan',
	'name'	=>	__('Показать лозунг дод заголовком', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'name'	=>	__('Настройка: Меню и Навигация ', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_menu_showHome',
	'name'	=>	__('Показывать пункт домой', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_menu_homeCaption',
	'name'	=>	__('Заголовок главной страницы сайта', THEME_NS),
	'type'	=>	'text'
	),
	array(	
	'id'	=>	'theme_menu_highlight_active_categories',
	'name'	=>	__('Выделить активные категории', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	
	array(	
	'id'	=>	'theme_menu_trim_title',
	'name'	=>	__('Обрезать длинные пункты меню', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),	
	array(	
	'id'	=>	'theme_menu_trim_len',
	'name'	=>	__('Предельная каждый элемент [N] символов', THEME_NS),
	'desc'	=>	__('(Символов).', THEME_NS),
	'type'	=>	'numeric'
	),
	
	array(	
	'id'	=>	'theme_submenu_trim_len',
	'name'	=>	__('Лимит каждого подпункта, к [N] символов', THEME_NS),
	'desc'	=>	__('(Символов).', THEME_NS),
	'type'	=>	'numeric'
	),
	
	array(	
	'id'	=>	'theme_menu_source',
	'name'	=>	__('Выберите источник меню по умолчанию', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_menu_source_options,
	'desc'	=>	__('Отображается, когда внешний Вид"> "Меню"> Основной меню не установлен', THEME_NS),
	),
	array(	
	'name'	=>	__('Настройка: Перелинковка страниц (улучшаем seo и юзабилити сайта)', THEME_NS),
	'type'	=>	'heading'
	),

	array(	
	'id'	=>	'theme_home_top_posts_navigation',
	'name'	=>	__('Показать навигационные ссылки в верхней части главной страницы сообщения', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),	

	array(	
	'id'	=>	'theme_top_posts_navigation',
	'name'	=>	__('Показать навигационные ссылки в верхней части страницы сообщения', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),

	array(	
	'id'	=>	'theme_bottom_posts_navigation',
	'name'	=>	__('Показать навигационные ссылки внизу страницы сообщения', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),

	array(	
	'id'	=>	'theme_top_single_navigation',
	'name'	=>	__('Лучшие по ссылкам навигации в одном окне сообщение', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_bottom_single_navigation',
	'name'	=>	__('Показать ссылки на нижней навигации в одном окне сообщение', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_single_navigation_trim_title',
	'name'	=>	__('Обрезать длинные ссылки навигации в одном окне сообщение', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),	
	array(	
	'id'	=>	'theme_single_navigation_trim_len',
	'name'	=>	__('Предельная каждая ссылка [N] символов', THEME_NS),
	'desc'	=>	__('(Символов).', THEME_NS),
	'type'	=>	'numeric'
	),
	
	array(	
	'name'	=>	__('Настройка: Популярные изображения', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_metadata_use_featured_image_as_thumbnail',
	'name'	=>	__('Используйте признакам изображение миниатюры', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_metadata_thumbnail_auto',
	'name'	=>	__('Использование автоматического эскизы', THEME_NS),
	'desc'	=>	__('Создание эскизов сообщение автоматически (с помощью первого изображения с поста галерея)', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_metadata_thumbnail_width',
	'name'	=>	__('Миниатюра статьи ширина', THEME_NS),
	'desc'	=>	__('(px) - задаётся в пикселях', THEME_NS),
	'type'	=>	'numeric'
	),
	array(	
	'id'	=>	'theme_metadata_thumbnail_height',
	'name'	=>	__('Миниатюра статьи высота', THEME_NS),
	'desc'	=>	__('(px) - задаётся в пикселях', THEME_NS),
	'type'	=>	'numeric'
	),
	array(	
	'name'	=>	__('Настройка: Анонсы статей (функция для лентяев)', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_metadata_excerpt_auto',
	'name'	=>	__('Использование автоматической выдержки', THEME_NS),
	'desc'	=>	__('Создать сообщение анонса статьи автоматически (поможет вам если вы пишите статьи без разделителя читать далее)', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_metadata_excerpt_words',
	'name'	=>	__('Выдержки длиной', THEME_NS),
	'desc'	=>	__('(Укажите количество слов)', THEME_NS),
	'type'	=>	'numeric'
	),
	array(	
	'id'	=>	'theme_metadata_excerpt_min_remainder',
	'name'	=>	__('Выдержки баланс', THEME_NS),
	'desc'	=>	__('(Укажите количество слов)', THEME_NS),
	'type'	=>	'numeric'
	),
	array(	
	'id'	=>	'theme_metadata_excerpt_use_tag_filter',
	'name'	=>	__('Разрешить использовать в отрывках теги', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_metadata_excerpt_allowed_tags',
	'name'	=>	__('Разрешенные теги для выдержки', THEME_NS),
	'desc'	=>	__('Используется, когда "Разрешить использовать в отрывках теги" включена', THEME_NS),
	'type'	=>	'widetext'
	),
	array(	
	'name'	=>	__('Настройка: Страница ошибок  (не теряем посетителя на странице 404)', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_show_random_posts_on_404_page',
	'name'	=>	__('Показать случайные сообщения на страницу 404', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_show_random_posts_title_on_404_page',
	'name'	=>	__('Дайте Привлекательное название для случайных сообщений', THEME_NS),
	'type'	=>	'text',
	'desc'	=>	__('Используется, когда "Показать случайные сообщения на страницу 404" включена. Например: Возможно вы искали', THEME_NS)
	),
	array(	
	'id'	=>	'theme_show_tags_on_404_page',
	'name'	=>	__('Показать метки на 404 страницы', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_show_tags_title_on_404_page',
	'name'	=>	__('Дайте привлекательное название для тегов меток', THEME_NS),
	'type'	=>	'text',
	'desc'	=>	__('Используется, когда "Показать метки на страницу 404" включена. Например: Выберите то, что вам подходит ниже', THEME_NS)
	),
	array(	
	'name'	=>	__('Настройка: Комментарии', THEME_NS),
	'type'	=>	'heading',
	),
	array(	
	'id'	=>	'theme_allow_comments',
	'name'	=>	__('Разрешить комментарии', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_comment_use_smilies',
	'name'	=>	__('Использование смайликов в комментариях', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'name'	=>	__('Настройка: Sidebars (функция для маньяков настройщиков, лучше не трогать)', THEME_NS),
	'type'	=>	'heading',
	'desc' => __('Стиль по умолчанию виджеты', THEME_NS)
	),
	array(	
	'id'	=>	'theme_sidebars_style_default',
	'name'	=>	__('Первичный боковой панели', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_sidebars_style_options
	),
	array(	
	'id'	=>	'theme_sidebars_style_secondary',
	'name'	=>	__('Вторичной боковой панели', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_sidebars_style_options
	),
	array(	
	'id'	=>	'theme_sidebars_style_top',
	'name'	=>	__('Верхний боковой панели', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_sidebars_style_options
	),
	array(	
	'id'	=>	'theme_sidebars_style_bottom',
	'name'	=>	__('Нижний боковой панели', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_sidebars_style_options
	),
	array(	
	'id'	=>	'theme_sidebars_style_footer',
	'name'	=>	__('Подвал боковых панелей', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_sidebars_style_options
	),
	array(	
	'name'	=>	__('Настройка: Footer (подвал сайта)', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_footer_content',
	'name'	=>	__('В содержание подвала можно вставлять любой HTML код. Для вставки счётчиков лучше использовать или настраиваемые модули виджетов, или модули рекламы.', THEME_NS),
	'desc'	=>	sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span') . '<br />'
	   		. sprintf(__('<strong>Короткие Теги (ShortTags):</strong><code>%s</code>', THEME_NS), '[year], [top], [rss], [login-link], [blog-title], [xhtml], [css]'),
	'type'	=>	'textarea'
	),
	array(	
	'name'	=>	__('Настройка Рекламы (функция для продвинутых пользователей)', THEME_NS),
	'type'	=>	'heading',
	'desc' => sprintf(__('Используйте %s короткий код для вставки этих объявлений на страницах вашего сайта, текстовые виджеты или в подвале сайта.', THEME_NS),'<code>[ad]</code>') . '<br/>'
		. '<span>' . __('Как это работает? Вы вставляете код в любое окно ниже. Далее в нужном месте страницы вставляете короткий код с его номером. Пример:', THEME_NS) .'</span><code>[ad code=4 align=center]</code>'
	),
	array(	
	'id'	=>	'theme_ad_code_1',
	'name'	=>	sprintf(__('Ad code #%s:', THEME_NS),1),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'theme_ad_code_2',
	'name'	=>	sprintf(__('Ad code #%s:', THEME_NS),2),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'theme_ad_code_3',
	'name'	=>	sprintf(__('Ad code #%s:', THEME_NS),3),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'theme_ad_code_4',
	'name'	=>	sprintf(__('Ad code #%s:', THEME_NS),4),
	'type'	=>	'textarea'
	),
	array(	
	'id'	=>	'theme_ad_code_5',
	'name'	=>	sprintf(__('Ad code #%s:', THEME_NS),5),
	'type'	=>	'textarea'
	),
	array(	
	'name'	=>	__('Заголовки на странице сообщения', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_posts_headline_tag',
	'name'	=>	__('Выберите тег для заголовка', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	),
	array(	
	'id'	=>	'theme_posts_slogan_tag',
	'name'	=>	__('Выберите тег для лозунга', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	),
	array(	
	'id'	=>	'theme_posts_article_title_tag',
	'name'	=>	__('Выберите тег для статьи', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	),
	array(	
	'id'	=>	'theme_posts_widget_title_tag',
	'name'	=>	__('Выберите тег для виджетов', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	),
	array(	
	'name'	=>	__('Заголовки на один пост или страницу', THEME_NS),
	'type'	=>	'heading'
	),
	array(	
	'id'	=>	'theme_single_headline_tag',
	'name'	=>	__('Выберите тег для заголовков', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	),
	array(	
	'id'	=>	'theme_single_slogan_tag',
	'name'	=>	__('Выберите тег для лозунга', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	),
	array(	
	'id'	=>	'theme_single_article_title_tag',
	'name'	=>	__('Выберите тег для статьи', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	),
	array(	
	'id'	=>	'theme_single_widget_title_tag',
	'name'	=>	__('Выберите тег для виджетов', THEME_NS),
	'type'	=>	'select',
	'options'	=>	$theme_heading_options
	)
);

global $theme_page_meta_options;
$theme_page_meta_options = array (
	array(	
	'id'	=>	'theme_show_in_menu',
	'name'	=>	__('Показать в Меню', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_show_as_separator',
	'name'	=>	__('Показать в качестве Разделителя в Меню', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	),
	array(	
	'id'	=>	'theme_title_in_menu',
	'name'	=>	__('Название в Меню', THEME_NS),
	'type'	=>	'text'
	),
	array(	
	'id'	=>	'theme_show_page_title',
	'name'	=>	__('Показать Заголовок на Странице', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	)
);

global $theme_post_meta_options;
$theme_post_meta_options = array(
	array(	
	'id'	=>	'theme_show_post_title',
	'name'	=>	__('Показать Заголовок на Одной Странице', THEME_NS),
	'desc'	=>	__('Да', THEME_NS),
	'type'	=>	'checkbox'
	)
);
